Bug 105350 - Lots of messages "pc_keyb: controller jammed (0xFF)." displayed during kernel loading
Lots of messages "pc_keyb: controller jammed (0xFF)." displayed during kernel...
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
All Linux
high Severity high
: ---
: ---
Assigned To: David Lawrence
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-25 06:33 EDT by Tony
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tony 2003-09-25 06:33:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
Lots of messages "pc_keyb: controller jammed (0xFF)." displayed during kernel 
loading.
This problem was found on really legacy free system(Without SuperIO, Keyboard 
Controller) only.




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Take a legacy free system(Without keyboard controller)
2.Put Red Hat Linux cdrom in CD-ROM drive and boot from it
3.Lots of proble messages displayed
    

Actual Results:  Lots of messages "pc_keyb: controller jammed (0xFF)." 
displayed 

Expected Results:  No error messages should be displayed.

Additional info:

This might caused by Kernel doesn't check the keyboard controller whether 
exist or not, If keyboard controller is not exist, kernel should skip all 
keyboard controller access and don't treat is as error. ALL Port 60/64 access 
should be emulated or skipped.
Comment 1 Bugzilla owner 2004-09-30 11:41:33 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.